# $Revision: 1.22 $, $Date: 2007/08/23 15:41:09 $
Summary:	KDE frontend for WPA Supplicant
Summary(pl.UTF-8):	Frontend KDE dla programu WPA Supplicant
Name:		kwlan
Version:	0.6.3
Release:	1
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://dl.sourceforge.net/kwlan/%{name}-%{version}.tar.bz2
# Source0-md5:	878f4a81aed8db736a6a89b4aa12e781
URL:		http://www.kde-apps.org/content/show.php?content=37041
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 9:3.0.3
BuildRequires:	libiw-devel
BuildRequires:	rpmbuild(macros) >= 1.129
Requires:	wpa_supplicant
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Allows you to configure different network profiles using all
encryptions wpa_supplicant provides (WEP, WPA, WPA2 etc). Systray icon
shows connection status. Based on wpa_gui by Jouni Malinen.

%description -l pl.UTF-8
kwlan pozwala na konfigurację różnych profili sieciowych przy użyciu
wszystkich metod szyfrowania udostępnianych przez program
wpa_supplicant (WEP, WPA, WPA2 itp.). Ikona w zasobniku systemowym
pokazuje status połączenia. kwlan jest oparty na wpa_gui Jouni
Malinena.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub admin
kde_htmldir="%{_kdedocdir}"; export kde_htmldir
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"
%{__make} -f admin/Makefile.common cvs

%configure \
	--with-qt-libraries=%{_libdir} \
	--with-qt-includes=%{_includedir}/qt

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-kde --all-name
%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/kwlan
%{_desktopdir}/kwlan.desktop
%{_datadir}/apps/kwlan
%{_iconsdir}/hicolor/*x*/apps/*.png
%{_iconsdir}/hicolor/*x*/apps/kwlan

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kwlan.spec,v $
Revision 1.22  2007/08/23 15:41:09  rotom
- up to 0.6.3

Revision 1.21  2007/05/23 07:15:53  shadzik
- 0.6.2

Revision 1.20  2007/03/20 22:31:31  rotom
- up to 0.6.1

Revision 1.19  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.17  2007/02/10 07:18:30  matkor
- Builds and works on Ac. BR: gcc >= 5:3.4.0 killed. STBR for Ac.

Revision 1.16  2007/02/09 18:18:18  rotom
- up to 0.6.0

Revision 1.15  2006/12/16 02:47:14  shadzik
- no NEWS in %doc

Revision 1.14  2006/12/16 02:43:13  shadzik
- 0.5.8

Revision 1.13  2006/12/05 23:06:45  shadzik
- 0.5.7

Revision 1.12  2006/11/14 17:56:37  shadzik
- 0.5.6

Revision 1.11  2006/11/02 01:55:26  shadzik
- 0.5.5

Revision 1.10  2006/09/30 12:28:06  rotom
- up to 0.5.4

Revision 1.9  2006/08/29 18:43:57  shadzik
- BR gcc >= 3.4; rel 1

Revision 1.8  2006/08/29 14:55:51  shadzik
- 0.5.3

Revision 1.7  2006/08/18 21:33:21  vip
- updated to 0.5.2

Revision 1.6  2006/07/24 20:07:42  shadzik
- 0.5.0

Revision 1.5  2006/07/05 22:50:20  shadzik
- up to 0.4.8

Revision 1.4  2006/06/29 11:06:31  shadzik
- 0.4.7; kdelibs-devel epoch

Revision 1.3  2006/06/06 17:22:47  spider
- up to 0.4.4

Revision 1.2  2006/05/26 09:54:11  qboosh
- fixed pl desc, missing dirs, dropped session ID from URL

Revision 1.1  2006/05/24 19:35:47  rotom
- initial release
